Custom Plugin Fails to Load: Unsupported major.minor version 52.0

Problem

After deploying a custom plugin within DAS, it resulted in an error:

Caused by: java.lang.RuntimeException: Task: Error: <Package_Name containing the class> : Unsupported major.minor version 52.0

 

Cause

  • Java SE 10 = 54
  • Java SE 9 = 53
  • Java SE 8 = 52
  • Java SE 7 = 51
  • Java SE 6.0 = 50
  • Java SE 5.0 = 49
  • JDK 1.4 = 48
  • JDK 1.3 = 47
  • JDK 1.2 = 46
  • JDK 1.1 = 45

 

The above are the assigned major numbers. The error regarding the unsupported major.minor version is because during compile time you are using a higher JDK and a lower JDK during runtime.

Thus, the 'major.minor version 52.0' error is possibly because the jar was compiled in JDK 1.8, but you are trying to run it using a JDK 1.7 environment. The reported number is the required number, not the number you are using. To solve this, it's always better to have the JDK and JRE pointed to the same version.

 

Solution

Make sure that the underlying classes are compiled with the same JDK version that Datameer Application Server is using.